Skip to main content
GET
Get company latest revenue

Authorizations

X-API-Key
string
header
required

Path Parameters

companyId
string
required

The Specter company ID.

Response

The revenue figures for the matched company.

Latest revenue figures and estimated revenue growth for a single company. All values are null when the company is matched but has no revenue data on file. Growth figures are percentages (4.05 = +4.05%) and can be negative.

id
string
required

The Specter company ID of the matched company.

Example:

"5e3bbfb900c8f4c966a2d566"

company_name
string
required

The name of the matched company.

Example:

"Ocean Power Technologies"

domain
string
required

The domain of the matched company.

Example:

"oceanpowertechnologies.com"

est_revenue_usd
integer | null

Latest estimated revenue, in USD.

Example:

2000000

latest_revenue_reported_usd
integer | null

Latest reported revenue, in USD.

Example:

1696000

latest_revenue_reported_date
string<date> | null

Date (YYYY-MM-DD) of the latest reported revenue.

Example:

"2025-12-16"

revenue_type
string | null

The metric the latest reported revenue figure represents (e.g. Revenue, ARR).

Example:

"Revenue"

est_revenue_growth_1m_pct
number | null

1-month growth in estimated revenue, as a percentage.

Example:

0

est_revenue_growth_3m_pct
number | null

3-month growth in estimated revenue, as a percentage.

Example:

17.65

est_revenue_growth_6m_pct
number | null

6-month growth in estimated revenue, as a percentage.

Example:

17.65

est_revenue_growth_1y_pct
number | null

1-year growth in estimated revenue, as a percentage.

Example:

17.65

est_revenue_growth_2y_pct
number | null

2-year growth in estimated revenue, as a percentage.

Example:

17.65